.fondo {
    position: relative; /* Para poder colocar elementos absolutamente sobre la imagen de fondo */
    width: 100%;
    height: 400px; /* Ajusta la altura según sea necesario */
    background-size: cover;
    background-position: center;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: 20px;
    text-align: center; /* Centra el texto */
}

.titulo-fondo {
    position: relative; /* Deja este elemento en flujo relativo para posicionarlo dentro de la sección */
    color: white;
    font-size: 24px;
    text-shadow: 2px 2px 5px rgba(0, 0, 0, 0.7); /* Añadir sombra para legibilidad */
    margin: 0 0 10px 0;
    z-index: 1; /* Asegura que esté por encima de la imagen de fondo */
}

.titulo-noticia {
    position: relative;
    color: #ffffff;
    font-size: 64px;
    text-shadow: 1px 1px 4px rgba(0, 0, 0, 0.7); /* Añade sombra para una mejor legibilidad */
    margin: 0 0 10px 0;
    z-index: 1; /* Asegura que esté por encima de la imagen de fondo */
}

.fondo h3 {
    position: relative;
    color: #ffffff;
    font-size: 1.5rem;
    text-shadow: 1px 1px 4px rgba(0, 0, 0, 0.7); /* Añade sombra para una mejor legibilidad */
    margin: 0;
    z-index: 1; /* Asegura que esté por encima de la imagen de fondo */
    margin-bottom: 20px !important;
}

.fondo a > i {
    visibility: 0;
    opacity: 0;
    transition: 0.6s ease-in-out;
}

.fondo a:hover i {
    visibility: 100;
    opacity: 100;
    transition: 0.6s ease-in-out;
}


.contenido {
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center !important;
    flex-wrap: nowrap !important;
}

.tarjeta {
    background-color: #2e2a23;
    color: #a8a095;
    display: flex;
    flex-direction: column;
    align-items: center;
    height: 440px;
    padding: 0;
    width: 100%; /* Asegura que ocupe todo el ancho en pantallas pequeñas */
    margin-bottom: 20px; /* Añade margen inferior para el espacio entre tarjetas */
}

.tarjeta img {
    width: 100%;
    max-height: 300px;
    object-fit: cover; /* Mantiene la proporción de la imagen */
}

.tarjeta a {
    height: 100%;
    width: 100%;
    display: flex;
    flex-direction: column;
}

.tarjeta a:hover {
    background-color: rgb(125, 186, 33);
    transition: 0.5s ease;
}

.tarjeta a:hover h1.titulo,
.tarjeta a:hover p {
    color: white;
    transition: 0.5s ease;
}

.div-tarjetas {
    width: 100%;
    display: flex;
    flex-wrap: wrap;
    margin-top: 5px;
    justify-content: center;
    gap: 30px;
}

h1.titulo {
    font-size: 20px;
    width: 100%;
    margin: 20px 0 10px 0;
    color: #a8a095;
    text-transform: none !important;
    padding-left: 0;
    padding-right: 15px;
}

.tarjeta p {
    text-align: left;
    margin: 0;
    padding-left: 0;
    padding-right: 15px;
    color: #a8a095;
}

.fecha-tarjeta {
    margin-top: 10px !important;
    color: greenyellow !important;
}

.tarjeta-contenido {
    height: 100%;
    width: 100%;
    padding-left: 15px;
}

.titulo-noticias {
    border: solid greenyellow;
    border-width: 0 0 0.025px 0;
    padding-bottom: 10px;
}


@media (max-width: 419px){

    .fondo {
        height: 600px !important;
    }

    .tarjeta {
        width: 90%;
        max-height: 420px;
    }

}

@media (min-width: 420px) and (max-width: 524px) {
    .tarjeta {
        width: 400px;
    }
}

/* Pantallas pequeñas (menos de 576px) - Una columna */
@media (min-width: 525px) and (max-width: 767px) {
    .tarjeta {
        width: 500px;
    }
}

/* Pantallas medianas (entre 576px y 991px) - Dos columnas */
@media (min-width: 768px) and (max-width: 991px) {
    .tarjeta {
        width: 350px; 
        height: 410px;
        padding-bottom: 0px !important;
    }
}

/* Pantallas grandes (a partir de 992px) - Tres columnas */
@media (min-width: 992px) {
    .tarjeta {
        width: 460px;
    }
}
